Summary: Common libraries for all services running on the CREAM CE
Name: glite-ce-common-java
Version: 1.15.2
Release: 1.sl6
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: System Environment/Libraries
BuildArch: noarch
BuildRequires: ant, ant-junit, axis2, xml-commons-apis, tomcat6-servlet-2.5-api, java-1.6.0-openjdk-devel
BuildRequires: voms-api-java, bouncycastle
Requires: axis2, bouncycastle, tomcat6
Requires: voms-api-java, jclassads, mysql-connector-java
Obsoletes: emi-trustmanager, emi-trustmanager-axis2, emi-trustmanager-tomcat
Obsoletes: emi-delegation-java
Provides: emi-trustmanager, emi-trustmanager-axis2, emi-trustmanager-tomcat
Provides: emi-delegation-java
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz

%global _tomcat tomcat6
%global _tomcatclibdir /usr/share/java/tomcat6

%description
Common libraries for all services running on the CREAM CE

%prep
%setup -c -q

%build
  printf "dist.location=%{buildroot}
doc.location=%{buildroot}/%{_javadocdir}/%{name}
stage.location=/
trustmanager.url=http://devel12.cnaf.infn.it:7444/pub/emi/security/trustmanager-3.1.4.jar
trustmanager.axis2.url=http://devel12.cnaf.infn.it:7444/pub/emi/security/trustmanager-axis2-1.0.1.jar
trustmanager.tomcat.url=http://devel12.cnaf.infn.it:7444/pub/emi/security/trustmanager-tomcat-3.0.1.jar
delegationj.url=http://devel12.cnaf.infn.it:7444/pub/emi/security/delegation-java-2.2.0.jar
argus.pep.common.url=http://devel12.cnaf.infn.it:7444/pub/emi/security/argus-pep-common-2.2.0.jar
argus.pep.apij.url=http://devel12.cnaf.infn.it:7444/pub/emi/security/argus-pep-api-java-2.1.0.jar
module.version=%{version}">.configuration.properties
ant

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
ant install

%clean
rm -rf %{buildroot} 

%post
if [ $1 -eq 1 ] ; then
  
  touch /etc/grid-security/admin-list
  
  # JDBC driver must be loaded by the same classloader used for dbcp
  ln -s /usr/share/java/mysql-connector-java.jar %{_tomcatclibdir}/mysql-connector-java_forcream.jar


fi

%preun
if [ $1 -eq 0 ] ; then

  rm -f %{_tomcatclibdir}/mysql-connector-java_forcream.jar
 
fi


%files
%defattr(-,root,root)
/usr/share/java/*.jar
%dir /etc/glite-ce-common-java
%config(noreplace) /etc/glite-ce-common-java/*
%dir /usr/share/doc/glite-ce-common-java-1.15.2
%doc /usr/share/doc/glite-ce-common-java-1.15.2/LICENSE
%dir /var/lib/trustmanager-tomcat
%config(noreplace) /var/lib/trustmanager-tomcat/log4j-trustmanager.properties

%package doc
Summary: Documentation files for the CREAM Common library
Group: Documentation
Requires: %{name}

%description doc
Documentation files for the CREAM Common library

%files doc
%defattr(-,root,root)
%dir %{_javadocdir}/%{name}/html/
%dir %{_javadocdir}/%{name}/html/org/
%dir %{_javadocdir}/%{name}/html/org/glite/
%dir %{_javadocdir}/%{name}/html/org/glite/ce/
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm/class-use/
%dir %{_javadocdir}/%{name}/html/resources/
%doc %{_javadocdir}/%{name}/html/*.html
%doc %{_javadocdir}/%{name}/html/*.css
%doc %{_javadocdir}/%{name}/html/package-list
%doc %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm/*
%doc %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm/class-use/*
%doc %{_javadocdir}/%{name}/html/resources/*


%changelog
* Fri Aug 31 2012 CREAM group <cream-support@lists.infn.it> - 1.15.2-1.sl6
- New major release



